<template>
  <section
    class="container"
    :style="style">
    <div
      class="list-item"
      v-for="item in items"
      :key="item">
      {{ item }}
    </div>
  </section>
</template>

<script>
export default {
  props: {
    items: {
      type: Array,
      required: true
    },
    direction: {
      type: String,
      default: "row"
    },
    wrap: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    style() {
      return {
        display: "flex",
        flexFlow: `${this.direction} ${this.wrap ? "wrap" : "nowrap"}`
      };
    }
  }
};
</script>

<style scoped>
.list-item {
  border: 1px solid black;
  padding: 1em;
  margin: 0.5em;
}
</style>
